#!/bin/sh

set -e


podman pod create --name nextcloud-pod --replace=true \
       -p 8080:80 \
       -p 5080:5080

podman run --name=nextcloud-db --pod=nextcloud-pod -d --replace=true \
       --pull=always \
       -e POSTGRES_PASSWORD="" \
       -e POSTGRES_USER="nextcloud" \
       -v postgres-data:/var/lib/postgresql/data \
       postgres:15

podman run --name pgadmin --pod nextcloud-pod -d --replace=true \
       --pull=always \
       -v pgadmindata:/var/lib/pgadmin \
       -e PGADMIN_LISTEN_PORT=5080 \
       -e PGADMIN_DEFAULT_EMAIL="" \
       -e PGADMIN_DEFAULT_PASSWORD="" \
       -d dpage/pgadmin4       

podman run --name=nextcloud-app --pod=nextcloud-pod -d --replace=true \
       --pull=always \
       --health-cmd="curl http://localhost || exit 1" \
       -v /mnt/var/local/nextcloud:/var/www/html:Z \
       -v /mnt/nas/projekte:/mnt/projekte --security-opt label=disable \
       -v /mnt/nas/archiv:/mnt/archiv --security-opt label=disable \
       nextcloud:25